/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DROPTARGET_HPP_
#define DROPTARGET_HPP_

#include <qtgraphicswidget.h>

class Draggable;

class DropTarget: public QtGraphicsWidget
{
public:
  DropTarget(QGraphicsItem *parent);
  virtual ~DropTarget();

  virtual void dropped(Draggable *draggable) = 0;
};

#endif /* DROPTARGET_HPP_ */
