TEMPLATE = app
TARGET   = touchbook
CONFIG  += thread warn_on
CONFIG  -= app_bundle
DEFINES += QT3_SUPPORT_WARNINGS
QT      += opengl

CONFIG(debug, debug|release) {
	DESTDIR = ../../build/debug
	OBJECTS_DIR = ../../build/debug/obj
	UI_DIR = ../../build/debug/obj
	MOC_DIR = ../../build/debug/obj
	RCC_DIR = ../../build/debug/obj
	INCLUDEPATH += ../../build/debug
}
else {
	DESTDIR = ../../build/release
	OBJECTS_DIR = ../../build/release/obj
	UI_DIR = ../../build/release/obj
	MOC_DIR = ../../build/release/obj
	RCC_DIR = ../../build/release/obj
	INCLUDEPATH += ../../build/release/obj
	DEFINES += QT_NO_DEBUG_OUTPUT
}

# QExtSerialPort library
INCLUDEPATH += ../../../qextserialport/src/
debug:LIBS += ../../../qextserialport/src/build/libqextserialportd.a
release:LIBS += ../../../qextserialport/src/build/libqextserialport.a

# QT Animation Framework sources, comment out on Qt >= 4.6
include (../../../qtanimationframework/src/qtanimationframework.pri)

# IRTouch shared sources
include (../irtouch/irtouch.pri)

SOURCES += main.cpp
SOURCES += MainWindow.cpp
HEADERS += MainWindow.hpp
SOURCES += PhotoScene.cpp
HEADERS += PhotoScene.hpp
SOURCES += PhotoListView.cpp
HEADERS += PhotoListView.hpp
SOURCES += PhotoPage.cpp
HEADERS += PhotoPage.hpp
SOURCES += PhotoPageWidgets.cpp
HEADERS += PhotoPageWidgets.hpp
SOURCES += Draggable.cpp
HEADERS += Draggable.hpp
SOURCES += PhotoDraggable.cpp
HEADERS += PhotoDraggable.hpp
SOURCES += DropTarget.cpp
HEADERS += DropTarget.hpp
SOURCES += TrashDropWidget.cpp
HEADERS += TrashDropWidget.hpp
