/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "TouchEvent.hpp"

#include <qdebug.h>

namespace IrTouch
{

const int TouchEvent::sEventType = QEvent::registerEventType(QEvent::User + 444);

TouchEvent::TouchEvent(TouchData data) : QEvent((QEvent::Type)sEventType), mData(data)
{
  setAccepted(false);
  //qDebug() << "TouchEvent::TouchEvent()";
}

TouchEvent::~TouchEvent()
{
  //qDebug() << "TouchEvent::~TouchEvent()";
}

}
