TEMPLATE = app
TARGET   = irtest
CONFIG  += thread warn_on
CONFIG  -= app_bundle
DEFINES += QT3_SUPPORT_WARNINGS
QT      += opengl

CONFIG(debug, debug|release) {
	DESTDIR = ../../build/debug
	OBJECTS_DIR = ../../build/debug/obj
	UI_DIR = ../../build/debug/obj
	MOC_DIR = ../../build/debug/obj
	RCC_DIR = ../../build/debug/obj
	INCLUDEPATH += ../../build/debug
}
else {
	DESTDIR = ../../build/release
	OBJECTS_DIR = ../../build/release/obj
	UI_DIR = ../../build/release/obj
	MOC_DIR = ../../build/release/obj
	RCC_DIR = ../../build/release/obj
	INCLUDEPATH += ../../build/release/obj
	DEFINES += QT_NO_DEBUG_OUTPUT
}

# QExtSerialPort library
INCLUDEPATH += ../../../qextserialport/src/
debug:LIBS += ../../../qextserialport/src/build/libqextserialportd.a
release:LIBS += ../../../qextserialport/src/build/libqextserialport.a

# IRTouch shared sources
include (../irtouch/irtouch.pri)

SOURCES += irtest.cpp
HEADERS += irtest.hpp
SOURCES += touchdatagroup.cpp
HEADERS += touchdatagroup.hpp
SOURCES += touchrectgroup.cpp
HEADERS += touchrectgroup.hpp
SOURCES += touchvaluegroup.cpp
HEADERS += touchvaluegroup.hpp
SOURCES += touchvaluedistance.cpp
HEADERS += touchvaluedistance.hpp
SOURCES += rawvaluegroup.cpp
HEADERS += rawvaluegroup.hpp
